Name:          maven-processor-plugin
Version:       2.2.4
Release:       8%{?dist}
Summary:       Maven Processor Plugin
License:       LGPLv3+
Url:           https://github.com/bsorrentino/maven-annotation-plugin
Source0:       https://github.com/bsorrentino/maven-annotation-plugin/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
# main deps
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
# test deps
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
A maven plugin to process annotation for jdk6 at compile time

This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler

This plugin could be considered the 'alter ego' of maven apt plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-annotation-plugin-%{name}-%{version}
%pom_xpath_remove pom:project/pom:profiles
%pom_xpath_remove pom:build/pom:extensions

cp -p src/main/resources/COPYING.LESSER .

%mvn_file :%{name} %{name}/%{name} %{name}
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin pom.xml "
                <configuration>
                    <additionalparam>-Xdoclint:none</additionalparam>
                </configuration>
"

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license COPYING.LESSER

%files javadoc -f .mfiles-javadoc
%license COPYING.LESSER

%changelog
* Tue Apr 04 2017 Benjamin Lefoul <lef@fedoraproject.org> - 2.2.4-8
- Disable doclint

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 gil cattaneo <puntogil@libero.it> 2.2.4-4
- fix Url and Source0 tag

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 2.2.4-3
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Michal Srb <msrb@redhat.com> - 2.2.4-1
- Update to upstream version 2.2.4
- Fix license tag

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1.1-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.1.1-3
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Mar 26 2013 gil cattaneo <puntogil@libero.it> 2.1.1-2
- fix B/R list

* Tue Mar 26 2013 Mat Booth <fedora@matbooth.co.uk> - 2.1.1-1
- Upgrade to 2.1.1, fixes rhbz #927887

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.7-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Oct 06 2012 gil cattaneo <puntogil@libero.it> 2.0.7-1
- update to 2.0.7

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 gil cattaneo <puntogil@libero.it> 2.0.5-2
- fix summary
- fix license

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
